/*!
  \file
  \brief タイムスタンプ取得関数

  \author Satofumi KAMIMURA

  $Id: system_ticks.cpp 1178 2009-07-24 11:50:10Z satofumi $
*/

#include "system_ticks.h"
#include "SdlInit.h"
#include <SDL.h>

using namespace qrk;


namespace
{
  class SdlInitClass : private SdlInit
  {
  };
}


long qrk::system_ticks(void)
{
  static SdlInitClass sdl_init;
  return SDL_GetTicks();
}
